"use strict";

module.exports = function splitFilter(array, predicate) {
	let truthy = [];
	let falsy = [];

	for (let [ i, item ] of array.entries()) {
		if (predicate(item, i)) {
			truthy.push(item);
		} else {
			falsy.push(item);
		}
	}

	return [ truthy, falsy ];
};
